SDL_GetUserFolder(3)

NAME
SDL_GetUserFolder - Finds the most suitable user folder for the specified purpose, and returns its path in OS-specific notation.

HEADER FILE
Defined in SDL3/SDL_filesystem.h

SYNOPSIS
#include "SDL3/SDL.h"

char* SDL_GetUserFolder(SDL_Folder folder);

DESCRIPTION
Many OSes provide certain standard folders for certain purposes, such as storing pictures, music or videos for a certain user. This function gives the path for many of those special locations. This function is specifically for _user_ folders, which are meant for the user to access and manage. For application-specific folders, meant to hold data for the application to manage, see SDL_GetBasePath () and SDL_GetPrefPath (). Note that the function is expensive, and should be called once at the beginning of the execution and kept for as long as needed. The returned path is guaranteed to end with a path separator ('\' on Windows, '/' on most other platforms). The returned value is owned by the caller and should be freed with SDL_free (). If NULL is returned, the error may be obtained with SDL_GetError ().

FUNCTION PARAMETERS

folder
    The type of folder to find

RETURN VALUE
Returns Either a null-terminated C string containing the full path to the folder, or NULL if an error happened.

AVAILABILITY
This function is available since SDL 3.0.0.